1. Mikhail Korobov
  2. django-widget-tweaks

Commits

Mikhail Korobov  committed a81a923

Fix CI setup. Thanks @TigorC for the bug report. Fix GH-9

  • Participants
  • Parent commits 03edd42
  • Branches master

Comments (0)

Files changed (2)

File .travis.yml

View file
  • Ignore whitespace
 env:
   - DJANGO=1.2.7
   - DJANGO=1.3.7
-  - DJANGO=1.4.5
-  - DJANGO=1.5.1
+  - DJANGO=1.4.8
+  - DJANGO=1.5.4
 
 matrix:
     exclude:
         - python: "3.2"
           env: DJANGO=1.3.7
         - python: "3.2"
-          env: DJANGO=1.4.5
+          env: DJANGO=1.4.8
 
         - python: "3.3"
           env: DJANGO=1.2.7
         - python: "3.3"
           env: DJANGO=1.3.7
         - python: "3.3"
-          env: DJANGO=1.4.5
+          env: DJANGO=1.4.8
 
         - python: "pypy"
           env: DJANGO=1.2.7
           env: DJANGO=1.3.7
 
 install:
-  - pip install django==$DJANGO --use-mirrors
-  - pip install coverage coveralls --use-mirrors
+  - pip install django==$DJANGO
+  - pip install coverage coveralls
   - python setup.py install
 
 script: coverage run runtests.py --source widget_tweaks

File tox.ini

View file
  • Ignore whitespace
 deps=
     django
 
-basepython = python2.7
-
 commands=
     python runtests.py
 
 [testenv:dj12]
+basepython = python2.7
 deps=
     django >= 1.2, <1.3
 
 [testenv:dj13]
+basepython = python2.7
 deps=
     django >= 1.3, <1.4
 
 [testenv:dj14]
+basepython = python2.7
 deps=
     django >= 1.4, <1.5
 
 [testenv:dj15]
+basepython = python2.7
 deps=
     django >= 1.5, <1.6
 
 [testenv:py25]
 deps=
-
-; use insecure pip
-commands=
-    easy_install pip==1.2.1
-    pip install 'django >= 1.4, < 1.5'
-    python runtests.py
+    django >= 1.4, < 1.5
+setenv =
+    PIP_INSECURE = 1
 
 [testenv:py32]
 deps=